
Katello - Bug #27012

Content view publish planning in foreman-tasks sometimes takes too long

06/10/2019 03:54 PM - William Clark

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1684653 Red Hat JIRA:  

Pull request:    

Description

Steps to Reproduce:

1.Create a content view with around 100 yum repos

2.Publish the content view

Actual results:

Content View publish task planning takes a long time and no foreman task ID is returned until the task moves from 'planning' to

'running'

Because of this `hammer cv publish` users and API users have to wait for a long time to get the foreman task id back. In the example

below, it took almost 2 minutes to get the task id back on a satellite server with no client traffic.

1. date; hammer content-view publish --name rhel7cv --organization-id=21 --async; date

Fri Mar  1 13:43:13 EST 2019

Content view is being published with task e1fff9b2-3060-479a-be45-71d3ab54d9e4

Fri Mar  1 13:45:06 EST 2019

When client traffic is causing further slowness, it can break scripts which publish via the API by causing timeouts.

Expected results:

CV publish planning should happen faster and the task id for the hammer command or API call should be returned sooner.

Additional info:

A similar bug for CV capsule sync task planning was fixed in BZ1673447

History

#1 - 06/12/2019 05:40 PM - Samir Jha

- Target version set to Katello 3.13.0

- Triaged changed from No to Yes

#2 - 07/24/2019 05:57 PM - John Mitsch

- Target version changed from Katello 3.13.0 to Katello Backlog

#3 - 07/31/2020 09:22 PM - Justin Sherrill

- Status changed from New to Rejected

- Target version changed from Katello Backlog to Katello Recycle Bin

closing due to insufficient information.  Feel free to reopen
